> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-fix-ts-sdk-github-npm-links.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Doctor Events

> When a Doctor event occurs (such as the start of a practice), a webhook event is sent to registered webhooks with details about the schedule, including the doctor ID, partner doctor ID, and event time.
The receiver can use the details from the webhook event to update or manage schedules in the system.



## OpenAPI

````yaml post /registered_url_for_doctor_events
openapi: 3.1.0
info:
  title: Transaction Status API
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://{partner_host}
    variables:
      partner_host:
        default: api.example.com
        description: Partner API host
security: []
paths:
  /registered_url_for_doctor_events:
    post:
      tags:
        - Doctor Webhooks
      summary: Doctor Events
      description: >-
        When a Doctor event occurs (such as the start of a practice), a webhook
        event is sent to registered webhooks with details about the schedule,
        including the doctor ID, partner doctor ID, and event time.

        The receiver can use the details from the webhook event to update or
        manage schedules in the system.
      operationId: ScheduleStartPracticeWebhook
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              required:
                - event
                - event_time
                - timestamp
                - client_id
                - business_id
                - data
              properties:
                event:
                  type: string
                  enum:
                    - schedule.start_practice
                    - schedule.stop_practice
                    - schedule.available_for_consultation
                  example: schedule.start_practice
                  description: Type of event
                event_time:
                  type: integer
                  example: 1730189586
                  description: Event occurred timestamp
                timestamp:
                  type: integer
                  example: 1730189586
                  description: Timestamp of the event
                client_id:
                  type: string
                  example: 67978400352a61001d64e9fb
                  description: Client ID for the schedule
                business_id:
                  type: string
                  example: '174159057718553'
                  description: Business ID for the schedule
                data:
                  type: object
                  required:
                    - doctor_id
                    - partner_doctor_id
                    - created_at
                    - modified_at
                  properties:
                    doctor_id:
                      type: string
                      example: '174159057723920'
                      description: Identifier for the respective doctor in Eka
                    partner_doctor_id:
                      type: string
                      example: test-doc-123
                      description: Identifier for the partner’s respective doctor
                    clinic_id:
                      type: string
                      example: 67978400352a61001d64e9fb
                      description: Identifier for the respective clinic in eka
                    partner_clinic_id:
                      type: string
                      example: CL04
                      description: Identifier for the partner’s respective clinic
                    created_at:
                      type: integer
                      example: 1730189586
                      description: Creation timestamp in ISO format
                    modified_at:
                      type: integer
                      example: 1730189586
                      description: Modification timestamp in ISO format
                    partner_meta:
                      type: object
                      properties:
                        key1:
                          type: string
                          example: value1
                          description: Partner-specific metadata
                      description: Partner-specific metadata
      responses:
        '200':
          description: Successfully received the schedule event
          headers: {}
      deprecated: false

````